Page MenuHomePhabricator

Create/improve RfC authoring guidelines
Closed, ResolvedPublic

Description

Better documentation on how to put a good RfC together so we're less likely to need to bump things back for more discussion.

Clarify what questions need to be answered, be able to scale from small tasks to large arch changes.

"Roadmap"/"Lifetime" for how to start from a question/idea and move it towards a planned solution that can be usefully discussed and prototyped

Details

Reference
fl526

Event Timeline

flimport raised the priority of this task from to Needs Triage.Sep 12 2014, 1:45 AM
flimport added a project: Architecture.
flimport set Reference to fl526.
Qgil triaged this task as Medium priority.Sep 22 2014, 9:56 AM
Qgil added a subscriber: Qgil.
Qgil edited projects, added TechCom-RFC; removed Architecture.Oct 22 2014, 8:45 PM
tstarling edited projects, added Architecture; removed TechCom-RFC.Nov 20 2014, 5:58 AM
tstarling set Security to None.
Qgil added a subscriber: Spage.Mar 17 2015, 8:07 AM

I updated https://www.mediawiki.org/wiki/Requests_for_comment/Process with the Architecture Committee's use of the TechCom-RFC Phabricator workboard \o/

Is this enough to close this task?

Spage closed this task as Resolved.Aug 5 2015, 8:17 PM
Spage claimed this task.
In T341#1124336, @Qgil wrote:

I updated https://www.mediawiki.org/wiki/Requests_for_comment/Process with the Architecture Committee's use of the TechCom-RFC Phabricator workboard \o/

Is this enough to close this task?

I'll say so until someone indicates a specific problem.